url.h File Reference
`#include <ptlib/pfactory.h>`

Go to the source code of this file.

## Classes

class | PURL
| This class describes a Universal Resource Locator. More...
class | PURLScheme
class | PURLLegacyScheme
class | PURLLoader

## Macros

#define | PURL_LEGACY_SCHEME(schemeName, user, pass, host, def, defhost, query, params, frags, path, rel, port)

## Typedefs

typedef PFactory< PURLScheme > | PURLSchemeFactory
typedef PFactory< PURLLoader > | PURLLoaderFactory

## Macro Definition Documentation

## PURL_LEGACY_SCHEME

#define PURL_LEGACY_SCHEME | ( |  | schemeName,
|  |  | user,
|  |  | pass,
|  |  | host,
|  |  | def,
|  |  | defhost,
|  |  | query,
|  |  | params,
|  |  | frags,
|  |  | path,
|  |  | rel,
|  |  | port
| ) |  |

Value:
class PURLLegacyScheme_##schemeName : public PURLLegacyScheme \
{ \
public: \
PURLLegacyScheme_##schemeName() \
: PURLLegacyScheme(#schemeName, user, pass, host, def, defhost, query, params, frags, path, rel, port) \
{ } \
}; \
static PURLSchemeFactory::Worker<PURLLegacyScheme_##schemeName> schemeName##Factory(#schemeName, true); \
PURLLegacyScheme
Definition: url.h:398
PURLLegacyScheme::PURLLegacyScheme
PURLLegacyScheme(const char *s, bool user=false, bool pass=false, bool host=false, bool def=false, bool defhost=false, bool query=false, bool params=false, bool frags=false, bool path=false, bool rel=false, WORD port=0)
Definition: url.h:401
PFactory::Worker
Definition: pfactory.h:206

## Typedef Documentation

## PURLLoaderFactory

typedef PFactory<PURLLoader> PURLLoaderFactory

## PURLSchemeFactory

typedef PFactory<PURLScheme> PURLSchemeFactory